Bug 11244 - Error code path doesn't call END_PROFILE
Error code path doesn't call END_PROFILE
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-30 09:02 UTC by Ralph Böhme
Modified: 2015-05-21 19:09 UTC (History)
2 users (show)

See Also:


Attachments
Patch for master (1.79 KB, patch)
2015-04-30 09:08 UTC, Ralph Böhme
cs: review+
Details
Move failure label before END_PROFILE (912 bytes, patch)
2015-05-03 14:44 UTC, Ralph Böhme
no flags Details
Patch for 4.1 cherry-picked from master (2.66 KB, patch)
2015-05-08 08:15 UTC, Ralph Böhme
metze: review+
cs: review+
Details
Patch for 4.2 cherry-picked from master (3.33 KB, patch)
2015-05-08 08:15 UTC, Ralph Böhme
metze: review+
cs: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2015-04-30 09:02:38 UTC
In vfs_gpfs there are two places where we call START_PROFILE without calling END_PROFILE in error code paths. Fix coming in a minute.
Comment 1 Ralph Böhme 2015-04-30 09:08:53 UTC
Created attachment 11005 [details]
Patch for master
Comment 2 Ralph Böhme 2015-05-03 14:44:29 UTC
Created attachment 11013 [details]
Move failure label before END_PROFILE
Comment 3 Ralph Böhme 2015-05-08 08:15:06 UTC
Created attachment 11032 [details]
Patch for 4.1 cherry-picked from master
Comment 4 Ralph Böhme 2015-05-08 08:15:34 UTC
Created attachment 11033 [details]
Patch for 4.2 cherry-picked from master
Comment 5 Karolin Seeger 2015-05-20 11:31:14 UTC
Pushed to autobuild-v4-[1|2]-test.
Comment 6 Karolin Seeger 2015-05-21 08:04:36 UTC
Pushed to both branches.
Closing out bug report.

Thanks!